classification
Title: Leak in test_c_locale_coercion
Type: behavior Stage: resolved
Components: Versions: Python 3.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: matrixise, ncoghlan, vstinner
Priority: normal Keywords:

Created on 2017-06-12 08:59 by matrixise, last changed 2017-06-13 12:31 by ncoghlan. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 2126 merged vstinner, 2017-06-12 10:23
Messages (4)
msg295759 - (view) Author: Stéphane Wirtel (matrixise) * (Python committer) Date: 2017-06-12 08:59
./python -m test -R 3:3  test_c_locale_coercion -m test_external_target_locale_configuration                                                                                                                            Mon 12 Jun 2017 10:57:14 AM CEST
Run tests sequentially
0:00:00 load avg: 1.31 [1/1] test_c_locale_coercion
beginning 6 repetitions
123456
......
test_c_locale_coercion leaked [2, 2, 2] references, sum=6
test_c_locale_coercion failed

1 test failed:
    test_c_locale_coercion

Total duration: 4 sec
Tests result: FAILURE
msg295760 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2017-06-12 09:03
Likely a leak in the implementation of the PEP 538, commit 6ea4186de32d65b1f1dc1533b6312b798d300466, bpo-28180.
msg295907 - (view) Author: Nick Coghlan (ncoghlan) * (Python committer) Date: 2017-06-13 11:32
New changeset 023564bf7d95f8e6a4b790491811e75ce497a071 by Nick Coghlan (Victor Stinner) in branch 'master':
bpo-30635: Fix refleak in test_c_locale_coercion (#2126)
https://github.com/python/cpython/commit/023564bf7d95f8e6a4b790491811e75ce497a071
msg295912 - (view) Author: Nick Coghlan (ncoghlan) * (Python committer) Date: 2017-06-13 12:31
Technically a false alarm due to an unintended caching side effect in the test case.

Victor fixed it by moving the list creation to the module setup fixture, so it only runs once, even when hunting refleaks.
History
Date User Action Args
2017-06-13 12:54:59ncoghlanlinkissue28180 dependencies
2017-06-13 12:31:33ncoghlansetstatus: open -> closed
type: behavior
messages: + msg295912

resolution: fixed
stage: resolved
2017-06-13 11:32:34ncoghlansetmessages: + msg295907
2017-06-12 10:23:26vstinnersetpull_requests: + pull_request2180
2017-06-12 09:03:16vstinnersetnosy: + vstinner
messages: + msg295760
2017-06-12 09:01:22matrixisesetnosy: + ncoghlan
2017-06-12 08:59:15matrixisecreate